Bug #1048

Unable to create io-slave. klauncher said: Error loading ‘/usr/lib/qt/plugins/kf5/kio/file.so’

Added by Charles Stockman 7 months ago. Updated 6 months ago.

Status:New Start:01/20/2018
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:Calculate Linux Desktop KDE Spent time: -
Target version:-
Votes: 0

Description

Problem:

I was working with the most update version of Calculate with the KDE Desktop. When I clicked on the Home Folder. I got
this error message ( Paraphrase : Unable to create io-slave. klauncher said: Error loading ‘/usr/lib/qt/plugins/kf5/kio/file.so’ ) and none of the content of the folder appeared

Fix:
After doing a search on the internet I found the following fix on the message board

Execute "dbus-launch dolphin" and it worked.

The message board stated the root cause was That happens because Qt(Dolphin) loads this plugin, then you do an update and Qt conflicts the loadup of the new version, because its still holding the old version in RAM.

History

Updated by Charles Stockman 7 months ago

The bug was found after updating the system

Updated by Mikhail Hiretsky 7 months ago

Has kde-frameworks/kio installed in system?

Updated by Charles Stockman 7 months ago

Using qlist -IRv I found out the version is kde-frameworks/kio-5.42.0::gentoo has been installed on the system

Updated by Mikhail Hiretsky 6 months ago

Try to reinstall kde-frameworks/kio.

Updated by Charles Stockman 6 months ago

I think you misunderstood my bug report.

The bug did happen, but I researched the bug on the internet and found the fix. I provided your team with fixing hoping that you could add the fix to the update script and pass it on to other distro developers

In other words, I provided the bug and the solution for the bug which I tested on my system.

Also available in: Atom PDF

Thank you!